# Method hierarchy_uild

[ next ] [ prev ] [ prev-tail ] [ tail ] [ up ]

#### 5.3 Method hierarchy_build

`call p%hierarchy_build(a,desc_a,info)`

This method builds the hierarchy of matrices and restriction/prolongation operators for the multilevel preconditioner `p`, according to the requirements made by the user through the methods `init` and `set`.

Arguments

`a` | `type(psb_`x `spmat_type), intent(in)`.
| The sparse matrix structure containing the local part of the matrix to be preconditioned. Note that x must be chosen according to the `real`/`complex`, single/double precision version of AMG4PSBLAS under use. See the PSBLAS User’s Guide for details [ 21 ].
`desc_a` | `type(psb_desc_type), intent(in)`.
| The communication descriptor of `a`. See the PSBLAS User’s Guide for details [ 21 ].
`info` | `integer, intent(out)`.
| Error code. If no error, 0 is returned. See Section 7 for details.

[ next ] [ prev ] [ prev-tail ] [ front ] [ up ]